> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Balance Details

> Details about the client balance and info.



## OpenAPI

````yaml /openapi.json get /v1/api/clients
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/clients:
    get:
      tags:
        - Client
      summary: Get Client Balance Details
      description: Details about the client balance and info.
      operationId: getClientById
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Retrieved successfully
          content:
            application/json:
              example:
                success: true
                messages:
                  - type: SUCCESS
                    message: Data retrieved successfully
                    httpStatus: OK
                    technical: false
                data:
                  id: 0s2d8w20-4d4e-9oi7-a19f-4cd9b1e4c3ab
                  clientName: Client Name
                  contactPersonName: John Doe
                  contactPersonEmail: j.doe@website.com
                  contactPhoneNumber: '00111111239'
                  clientStatus: ACTIVE
                  balance: 1000
                  balanceExpiryDate: '2027-06-24T18:32:45.123Z'
                  balanceValid: true
                  daysUntilBalanceExpiry: 720
        '400':
          description: Invalid request data
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
        '500':
          description: Server error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    Response:
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````